Bug 1575890

Summary: FindEigen3.cmake is not found in EPEL
Product: [Fedora] Fedora EPEL Reporter: Mattia Verga <mattia.verga>
Component: eigen3Assignee: Rich Mattes <richmattes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: c.david86, manisandro, richmattes
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: eigen3-3.3.4-6.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-18 07:22:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Mattia Verga 2018-05-08 08:13:48 UTC
When trying to build a project which searches for FindEigen3.cmake I get:
CMake Error at thirdparty/thirdparty.cmake:506 (find_package):
  By not providing "FindEigen3.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "Eigen3", but
  CMake did not find one.
  Could not find a package configuration file provided by "Eigen3" with any
  of the following names:
    Eigen3Config.cmake
    eigen3-config.cmake
  Add the installation prefix of "Eigen3" to CMAKE_PREFIX_PATH or set
  "Eigen3_DIR" to a directory containing one of the above files.  If "Eigen3"
  provides a separate development package or SDK, be sure it has been
  installed.

https://kojipkgs.fedoraproject.org//work/tasks/7035/26847035/build.log

Comment 1 Fedora Update System 2018-05-26 22:10:56 UTC
eigen3-3.3.4-6.el7 ceres-solver-1.12.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-356e28b1f2

Comment 2 Fedora Update System 2018-05-27 20:24:30 UTC
ceres-solver-1.12.0-2.el7, eigen3-3.3.4-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-356e28b1f2

Comment 3 Fedora Update System 2018-09-18 07:22:21 UTC
ceres-solver-1.12.0-2.el7, eigen3-3.3.4-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.